Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSMessagingConfiguration Class Reference

User configuration information for the messaging service. More...

`#import <CSMessagingConfiguration.h>`

Inherits NSObject.

## Properties
NSTimeInterval | initialReconnectInterval
| The initial time interval between a connection failure and a reconnect attempt. More...
NSTimeInterval | maxReconnectInterval
| The maximum time interval between a connection failure and a reconnect attempt. More...
BOOL | messageDeliveryReadStateMonitoringEnabled
| A Boolean value indicating whether message delivery and read updates should be tracked or not. More...
BOOL | messageReadReportingEnabled
| A Boolean value indicating whether the application wants to report 'message read' indication to other conversation participants, i.e. More...

## Detailed Description

User configuration information for the messaging service.

This class provides configuration and preference data for the messaging service features.

## Property Documentation

- (NSTimeInterval) initialReconnectInterval
| read write nonatomic assign

The initial time interval between a connection failure and a reconnect attempt.

If connection attempts continue to fail the reconnect interval will be progressively extended using a backoff algorithm based on this initial reconnect interval. The default is 2 seconds.

Set to zero to disable automatic reconnection attempts. Values < 0 or > 65535 are ignored.

- (NSTimeInterval) maxReconnectInterval
| read write nonatomic assign

The maximum time interval between a connection failure and a reconnect attempt.

The default is 1800 seconds. Values < 0 or > 65535 are ignored.

- (BOOL) messageDeliveryReadStateMonitoringEnabled
| read write nonatomic assign

A Boolean value indicating whether message delivery and read updates should be tracked or not.

By default, delivery/read states are not monitored.

- (BOOL) messageReadReportingEnabled
| read write nonatomic assign

A Boolean value indicating whether the application wants to report 'message read' indication to other conversation participants, i.e.

let other conversation participants know when I mark a message as read. By default, message read reports are enabled.

The documentation for this class was generated from the following file:

- CSMessagingConfiguration.h